---
sidebar_position: 1
description: Create personal notification and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Create personal notification
 Creates a personal notification to the user



`Function CreatePersonalNotification(Val URL, Val UserID, Val Text, Val Tag = "", Val Attachments = "", Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | UserID | --user | String, Number | &#x2714; | User ID for sending the notification |
  | Text | --text | String | &#x2714; | Notification text |
  | Tag | --tag | String | &#x2716; | Uniqueness Tag. If already exist, other notif. will be deleted |
  | Attachments | --blocks | Array of Structure | &#x2716; | Array of attachments |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [im.notify.personal.add](https://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=93&LESSON_ID=12129)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    UserID = 1;

    URL   = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    Text  = "Message text";
    Image = "https://raw.githubusercontent.com/Bayselonarrend/OpenIntegrations/main/service/test_data/picture.jpg";
    File  = "https://github.com/Bayselonarrend/OpenIntegrations/raw/main/service/test_data/document.docx";

    Attachments = New Array;
    Attachments.Add(OPI_Bitrix24.GetPictureBlock("Image1"  , Image));
    Attachments.Add(OPI_Bitrix24.GetFileBlock("File1.docx" , File));

    Result = OPI_Bitrix24.CreatePersonalNotification(URL, UserID, Text, , Attachments);

    URL    = "b24-ar17wx.bitrix24.by";
    Token  = "6ad03969006e9f06006b12e400000001000...";
    Tag    = "New";
    UserID = 10;

    Result = OPI_Bitrix24.CreatePersonalNotification(URL, UserID, Text, Tag, , Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 CreatePersonalNotification \
             --url "b24-ar17wx.bitrix24.by" \
             --user 10 \
             --text "Message text" \
             --tag "New" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 CreatePersonalNotification ^
             --url "b24-ar17wx.bitrix24.by" ^
             --user 10 ^
             --text "Message text" ^
             --tag "New" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": 70490,
 "time": {
  "start": 1765396807,
  "finish": 1765396807.47426,
  "duration": 0.474260091781616,
  "processing": 0,
  "date_start": "2025-12-10T20:00:07+00:00",
  "date_finish": "2025-12-10T20:00:07+00:00",
  "operating_reset_at": 1765397407,
  "operating": 0
 }
}
```
